#include "monopdstreet.h"

MonopdStreet::MonopdStreet(int i, QString n, int p, int mv, int umv, QColor col, int hp, int shp) : MonopdEstate(i, n, p, mv, umv) {
	housePrice = hp;
	houses = 0;
	type = 0;
	color = col;
	sellhousePrice = shp;
}

QColor MonopdStreet::getColor() {
	return color;
}

int MonopdStreet::getHousePrice() {
	return housePrice;
}

int MonopdStreet::getSellHousePrice() {
	return sellHousePrice;
}

int MonopdStreet::getHouses() {
	return houses;
}

bool MonopdStreet::getCanBuyHouse() {
	return canBuyHouse;
}

bool MonopdStreet::getCanSellHouse() {
	return canSellHouse;
}

void MonopdStreet::setColor(QColor col) {
	color = col;
}

void MonopdStreet::setHousePrice(int hp) {
	housePrice = hp;
}

void MonopdStreet::setSellHousePrice(int shp) {
	sellHousePrice = shp;
}

void MonopdStreet::setHouses(int h) {
	houses = h;
}

void MonopdStreet::setCanBuyHouse(bool cbh) {
	canBuyHouse = cbh;
}

void MonopdStreet::setCanSellHouse(bool csh) {
	canSellHouse = csh;
}
